Listar mapeamentos de entidade da integracao
Authorization
bearer In: header
Query Parameters
Opaque cursor from CursorPaginationDto.cursor. Use next_cursor or previous_cursor from the previous response.
Page size from CursorPaginationDto.limit.
201 <= value <= 100Full-text search term from CursorPaginationDto.search.
Include soft-deleted records from CursorPaginationDto.with_deleted.
falseInclude payload JSON search from CursorPaginationDto.include_payload_search when supported by the endpoint.
falseSort expression from CursorPaginationDto.sort in the format field:order (for example created_at:desc).
Exact match for "tenant_integration_id" (UUID)
uuidNot equal filter for "tenant_integration_id" (UUID)
uuidExact match for "entity_type" (string)
Not equal filter for "entity_type" (string)
Contains filter for "entity_type"
Does not contain filter for "entity_type"
Exact match for "sync_status" (string)
Not equal filter for "sync_status" (string)
Contains filter for "sync_status"
Does not contain filter for "sync_status"
Exact match for "mapping_origin" (string)
Not equal filter for "mapping_origin" (string)
Contains filter for "mapping_origin"
Does not contain filter for "mapping_origin"
Exact match for "internal_entity_id" (UUID)
uuidNot equal filter for "internal_entity_id" (UUID)
uuidExact match for "external_entity_id" (string)
Not equal filter for "external_entity_id" (string)
Contains filter for "external_entity_id"
Does not contain filter for "external_entity_id"
Exact match for "created_at" (ISO 8601 date (YYYY-MM-DD))
Not equal filter for "created_at" (ISO 8601 date (YYYY-MM-DD))
Greater than filter for "created_at" (ISO 8601 date (YYYY-MM-DD))
Greater than or equal filter for "created_at" (ISO 8601 date (YYYY-MM-DD))
Less than filter for "created_at" (ISO 8601 date (YYYY-MM-DD))
Less than or equal filter for "created_at" (ISO 8601 date (YYYY-MM-DD))
Exact match for "last_synced_at" (ISO 8601 date (YYYY-MM-DD))
Not equal filter for "last_synced_at" (ISO 8601 date (YYYY-MM-DD))
Greater than filter for "last_synced_at" (ISO 8601 date (YYYY-MM-DD))
Greater than or equal filter for "last_synced_at" (ISO 8601 date (YYYY-MM-DD))
Less than filter for "last_synced_at" (ISO 8601 date (YYYY-MM-DD))
Less than or equal filter for "last_synced_at" (ISO 8601 date (YYYY-MM-DD))
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.biterp.ai/integration-entity-mappings"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"tenant_integration_id": "d6b73a49-9dc3-4a54-a0c4-d522200dbe7e",
"entity_type": "string",
"internal_entity_id": "a313f23c-5a95-4434-996d-2e8c765a949e",
"external_entity_id": "string",
"mapping_origin": "manual",
"sync_status": "synced",
"metadata": {},
"last_synced_at": "2019-08-24T14:15:22Z",
"created_by_user_id": "string",
"updated_by_user_id": "string",
"deleted_by_user_id": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"limit": 0,
"has_next_page": true,
"has_previous_page": true,
"current_query_cursor": "string",
"current_page_cursor": "string",
"next_cursor": "string",
"previous_cursor": "string"
},
"meta": {
"filters": {},
"search": "string",
"sort": {
"field": "string",
"order": "asc"
}
}
}{
"statusCode": 404,
"message": "Customer not found",
"error": "Not Found",
"code": "CUSTOMER_NOT_FOUND"
}{
"statusCode": 404,
"message": "Customer not found",
"error": "Not Found",
"code": "CUSTOMER_NOT_FOUND"
}{
"statusCode": 404,
"message": "Customer not found",
"error": "Not Found",
"code": "CUSTOMER_NOT_FOUND"
}
